Subject: bug#43828: closed (Re: bug#43828: invalid date converting from UTC, near DST)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Oct 2020 17:29:02 +0000

Your bug report

#43828: invalid date converting from UTC, near DST

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43828: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43828: invalid date converting from UTC, near DST
From: Paul Eggert <[email-masked]>
To: Martin Fido <[email-masked]>
Cc: [email-masked]
Date: Tue, 6 Oct 2020 10:28:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10/6/20 4:24 AM, Martin Fido wrote:
> I have version 8.25:

Seems to have been fixed by coreutils 8.30:

$ TZ='Australia/Sydney' date -d '2020-10-04T02:00:00Z'
Sun 04 Oct 2020 01:00:00 PM AEDT

Subject: invalid date converting from UTC, near DST
From: "Martin Fido" <[email-masked]>
To: [email-masked]
Date: Tue, 06 Oct 2020 22:24:03 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I seem to have found a bug in the date utility, converting from UTC to Sydney time. It returns invalid date for what should be perfectly valid:

    $ TZ='Australia/Sydney' date -d '2020-10-04T02:00:00Z'
    date: invalid date ‘2020-10-04T02:00:00Z’

    $ TZ='Australia/Sydney' date -d '2020-10-04T02:59:59Z'
    date: invalid date ‘2020-10-04T02:59:59Z’

Note DST in Sydney changed 10 hours earlier:

    $ TZ='Australia/Sydney' date -d '2020-10-03T15:59:59Z'
    Sunday 4 October  01:59:59 AEST 2020

    $ TZ='Australia/Sydney' date -d '2020-10-03T16:00:00Z'
    Sunday 4 October  03:00:00 AEDT 2020

I have version 8.25:

    $ date --version
    date (GNU coreutils) 8.25
    Copyright (C) 2016 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law.

    Written by David MacKenzie.

Thanks,

Martin.